Bug 1054019 (CVE-2017-12864)

Summary: VUL-0: CVE-2017-12864: opencv: In opencv/modules/imgcodecs/src/grfmt_pxm.cpp, function ReadNumber did notcheckout the input length, which lead to integer overflow. If the image is fromremote, may lead to remote code execution or denial of service
Product: [openSUSE] openSUSE Distribution Reporter: Marcus Meissner <meissner>
Component: OtherAssignee: Security Team bot <security-team>
Status: RESOLVED WONTFIX QA Contact: E-mail List <qa-bugs>
Severity: Normal    
Priority: P3 - Medium CC: abergmann
Version: Leap 42.3   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/190559/
Whiteboard: CVSSv2:NVD:CVE-2017-12864:6.8:(AV:N/AC:M/Au:N/C:P/I:P/A:P) CVSSv3:RedHat:CVE-2017-12864:3.3:(AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Marcus Meissner 2017-08-16 11:45:24 UTC
CVE-2017-12864

In opencv/modules/imgcodecs/src/grfmt_pxm.cpp, function ReadNumber did not
checkout the input length, which lead to integer overflow. If the image is from
remote, may lead to remote code execution or denial of service. This affects
Opencv 3.3 and earlier.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-12864
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-12864
http://www.cvedetails.com/cve/CVE-2017-12864/
https://github.com/opencv/opencv/issues/9372
Comment 1 Alexander Bergmann 2018-04-13 15:26:14 UTC
Still unfixed in openSUSE Leap 42.3.
Comment 2 Swamp Workflow Management 2018-05-17 01:30:43 UTC
This is an autogenerated message for OBS integration:
This bug (1054019) was mentioned in
https://build.opensuse.org/request/show/609943 42.3 / opencv
Comment 3 Swamp Workflow Management 2018-05-18 03:40:41 UTC
This is an autogenerated message for OBS integration:
This bug (1054019) was mentioned in
https://build.opensuse.org/request/show/610174 42.3 / opencv
Comment 4 Swamp Workflow Management 2018-05-21 07:40:43 UTC
This is an autogenerated message for OBS integration:
This bug (1054019) was mentioned in
https://build.opensuse.org/request/show/610882 42.3 / opencv
Comment 5 Swamp Workflow Management 2018-05-23 13:12:22 UTC
openSUSE-SU-2018:1385-1: An update that fixes 15 vulnerabilities is now available.

Category: security (important)
Bug References: 1033152,1052451,1052454,1052455,1052456,1052457,1052459,1052461,1052462,1052465,1054019,1054020,1054021,1054984,1057146
CVE References: CVE-2016-1516,CVE-2017-12597,CVE-2017-12598,CVE-2017-12599,CVE-2017-12600,CVE-2017-12601,CVE-2017-12602,CVE-2017-12603,CVE-2017-12604,CVE-2017-12605,CVE-2017-12606,CVE-2017-12862,CVE-2017-12863,CVE-2017-12864,CVE-2017-14136
Sources used:
openSUSE Leap 42.3 (src):    opencv-3.1.0-4.6.1, opencv-qt5-3.1.0-4.6.1
Comment 6 Tomáš Chvátal 2019-07-11 11:17:08 UTC
This is automated batch bugzilla cleanup.

The openSUSE 42.3 changed to end-of-life (EOL [1]) status. As such
it is no longer maintained, which means that it will not receive any
further security or bug fix updates.
As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
openSUSE (At this moment openSUSE Leap 15.1, 15.0 and Tumbleweed) please
feel free to reopen this bug against that version (!you must update the
"Version" component in the bug fields, do not just reopen please), or
alternatively create a new ticket.

Thank you for reporting this bug and we are sorry it could not be fixed
during the lifetime of the release.

[1] https://en.opensuse.org/Lifetime
Comment 7 Marcus Meissner 2019-07-11 14:20:52 UTC
SLE15 and Leap 15 have 3.3.1 and are fixed